%define api 1.0
%define major 0

%define bname gstreamer%{api}
%define libname %mklibname gstreamer-plugins-base %{api} %{major}
%define girname %mklibname gstreamer-plugins-base-gir %{api}
%define devname %mklibname gstreamer-plugins-base %{api} -d

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-base
Version:	1.12.2
Release:	1
License:	LGPLv2+
Group:		Sound
Url:		http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz
Patch0:		align.patch
Patch1:		0001-missing-plugins-Remove-the-mpegaudioversion-field.patch
#gw we need some fonts for the tests
BuildRequires:	fonts-ttf-dejavu
BuildRequires:	gtk-doc
%ifarch %{ix86}
BuildRequires:	nasm => 0.90
%endif
BuildRequires:	alsa-oss-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-%{api}) >= %{version}
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(orc-0.4)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(theora)
%ifnarch %{arm} %{mips}
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xv)
Provides:	%{bname}-plugins
Conflicts:	gstreamer1.0-plugins-bad < 1.12.2

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of reference plugins, base classes for other
plugins, and helper libraries:
 * device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
 * containers: ogg
 * codecs: vorbis, theora
 * text: textoverlay, subparse
 * sources: audiotestsrc, videotestsrc, gnomevfssrc
 * network: tcp
 * typefind
 * audio processing: audioconvert, adder, audiorate, audioscale, volume
 * visualisation: libvisual
 * video processing: ffmpegcolorspace
 * aggregate elements: decodebin, playbin

%files -f gst-plugins-base-%{api}.lang
%doc AUTHORS COPYING README NEWS
%{_bindir}/gst-discoverer-%{api}
%{_bindir}/gst-play-%{api}
%{_bindir}/gst-device-monitor-%{api}
%{_mandir}/man1/*
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{api}/libgstadder.so
%{_libdir}/gstreamer-%{api}/libgstalsa.so
%{_libdir}/gstreamer-%{api}/libgstapp.so
%{_libdir}/gstreamer-%{api}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{api}/libgstaudiorate.so
%{_libdir}/gstreamer-%{api}/libgstaudioresample.so
%{_libdir}/gstreamer-%{api}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{api}/libgstencoding.so
%{_libdir}/gstreamer-%{api}/libgstgio.so
%{_libdir}/gstreamer-%{api}/libgstogg.so
%{_libdir}/gstreamer-%{api}/libgstopus.so
%{_libdir}/gstreamer-%{api}/libgstpango.so
%{_libdir}/gstreamer-%{api}/libgstplayback.so
%{_libdir}/gstreamer-%{api}/libgstpbtypes.so
%{_libdir}/gstreamer-%{api}/libgstsubparse.so
%{_libdir}/gstreamer-%{api}/libgsttcp.so
%{_libdir}/gstreamer-%{api}/libgsttheora.so
%{_libdir}/gstreamer-%{api}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{api}/libgstrawparse.so
%{_libdir}/gstreamer-%{api}/libgstvideoconvert.so
%{_libdir}/gstreamer-%{api}/libgstvideorate.so
%{_libdir}/gstreamer-%{api}/libgstvideoscale.so
%{_libdir}/gstreamer-%{api}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{api}/libgstvolume.so
%{_libdir}/gstreamer-%{api}/libgstvorbis.so
%{_libdir}/gstreamer-%{api}/libgstximagesink.so
%{_libdir}/gstreamer-%{api}/libgstxvimagesink.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GStreamer plugin libraries
Group:		System/Libraries

%description -n %{libname}
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %{libname}
%{_libdir}/libgstaudio-%{api}.so.%{major}*
%{_libdir}/libgstapp-%{api}.so.%{major}*
%{_libdir}/libgstfft-%{api}.so.%{major}*
%{_libdir}/libgstpbutils-%{api}.so.%{major}*
%{_libdir}/libgstriff-%{api}.so.%{major}*
%{_libdir}/libgstrtp-%{api}.so.%{major}*
%{_libdir}/libgstrtsp-%{api}.so.%{major}*
%{_libdir}/libgsttag-%{api}.so.%{major}*
%{_libdir}/libgstsdp-%{api}.so.%{major}*
%{_libdir}/libgstvideo-%{api}.so.%{major}*
%{_libdir}/libgstallocators-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	Object Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstApp-%{api}.typelib
%{_libdir}/girepository-1.0/GstAudio-%{api}.typelib
%{_libdir}/girepository-1.0/GstFft-%{api}.typelib
%{_libdir}/girepository-1.0/GstPbutils-%{api}.typelib
%{_libdir}/girepository-1.0/GstRtp-%{api}.typelib
%{_libdir}/girepository-1.0/GstRtsp-%{api}.typelib
%{_libdir}/girepository-1.0/GstSdp-%{api}.typelib
%{_libdir}/girepository-1.0/GstTag-%{api}.typelib
%{_libdir}/girepository-1.0/GstVideo-%{api}.typelib
%{_libdir}/girepository-1.0/GstAllocators-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary: 	GStreamer Plugin Library Headers
Group: 		Development/C
Requires: 	%{libname} = %{EVRD}
Requires:	%{name} = %{EVRD}
Provides:	libgstreamer%{api}-plugins-base-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
GStreamer support libraries header files.

%files -n %{devname}
%doc docs/libs/html docs/plugins/html
%{_includedir}/gstreamer-%{api}/gst/app/
%{_includedir}/gstreamer-%{api}/gst/audio
%{_includedir}/gstreamer-%{api}/gst/fft
%{_includedir}/gstreamer-%{api}/gst/pbutils
%{_includedir}/gstreamer-%{api}/gst/riff
%{_includedir}/gstreamer-%{api}/gst/rtsp
%{_includedir}/gstreamer-%{api}/gst/sdp
%{_includedir}/gstreamer-%{api}/gst/tag/
%{_includedir}/gstreamer-%{api}/gst/video/
%{_includedir}/gstreamer-%{api}/gst/rtp
%{_includedir}/gstreamer-%{api}/gst/allocators
%{_libdir}/pkgconfig/gstreamer-app-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-audio-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-fft-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-pbutils-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-plugins-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-riff-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-rtp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-rtsp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-sdp-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-tag-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-video-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-allocators-%{api}.pc
%{_libdir}/libgstaudio-%{api}.so
%{_libdir}/libgstapp-%{api}.so
%{_libdir}/libgstfft-%{api}.so
%{_libdir}/libgstpbutils-%{api}.so
%{_libdir}/libgstriff-%{api}.so
%{_libdir}/libgstrtp-%{api}.so
%{_libdir}/libgstrtsp-%{api}.so
%{_libdir}/libgsttag-%{api}.so
%{_libdir}/libgstsdp-%{api}.so
%{_libdir}/libgstvideo-%{api}.so
%{_libdir}/libgstallocators-%{api}.so
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/GstApp-%{api}.gir
%{_datadir}/gir-1.0/GstAudio-%{api}.gir
%{_datadir}/gir-1.0/GstFft-%{api}.gir
%{_datadir}/gir-1.0/GstPbutils-%{api}.gir
%{_datadir}/gir-1.0/GstRtp-%{api}.gir
%{_datadir}/gir-1.0/GstRtsp-%{api}.gir
%{_datadir}/gir-1.0/GstSdp-%{api}.gir
%{_datadir}/gir-1.0/GstTag-%{api}.gir
%{_datadir}/gir-1.0/GstVideo-%{api}.gir
%{_datadir}/gir-1.0/GstAllocators-%{api}.gir
%{_datadir}/gst-plugins-base/%{api}/license-translations.dict
###

#----------------------------------------------------------------------------

### CDPARANOIA ###
%package -n %{bname}-cdparanoia
Summary:	Gstreamer plugin for CD audio input using CDParanoia IV
Group:		Sound
Requires:	%{name} = %{EVRD}
BuildRequires:	libcdda-devel

%description -n %{bname}-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n %{bname}-cdparanoia
%{_libdir}/gstreamer-%{api}/libgstcdparanoia.so

#----------------------------------------------------------------------------

%package -n %{bname}-libvisual
Summary:	GStreamer visualisations plug-in based on libvisual
Group:		Video
Requires:	%{name} = %{EVRD}
BuildRequires:	pkgconfig(libvisual-0.4)

%description -n %{bname}-libvisual
This plugin makes visualisations based on libvisual available for
GStreamer applications.

%files -n %{bname}-libvisual
%{_libdir}/gstreamer-%{api}/libgstlibvisual.so

#----------------------------------------------------------------------------

%prep
%setup -q -n gst-plugins-base-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-dependency-tracking \
	--disable-static \
	--enable-experimental \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='%{bugurl}' \
	--enable-libvisual
%make

%install
%makeinstall_std
%find_lang gst-plugins-base-%{api}


%changelog

* Thu Aug 24 2017 tremod <negry.m@yandex.ru> 1.12.2-1
- (6271363) Update to 1.12.2

* Tue Jun 27 2017 tremod <negry.m@yandex.ru> 1.12.1-1
- (d4ce360) Update to 1.12.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.10.3-2
- (d84ee58) MassBuild#1230: Increase release tag

* Tue Jan 31 2017 tremod <negry.m@yandex.ru> 1.10.3-1
- (a1658f0) Update to 1.10.3

* Wed Dec 07 2016 tremod <negry.m@yandex.ru> 1.10.2-1
- (496d7cc) Update to 1.10.2

* Thu Nov 24 2016 tremod <negry.m@yandex.ru> 1.10.1-1
- (90475a3) Update to 1.10.1

* Sat Nov 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.10.0-1
- (e6b568e) New version 1.10.0
- (e6b568e) opus plugin moved here from gstreamer1.0-plugins-bad

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8.3-2
- (bd66f44) MassBuild#1169: Increase release tag

* Fri Sep 30 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8.3-1
- (6be1b5d) New version 1.8.3

* Mon Jan 25 2016 Tigro <ashejn@gmail.com> 1.6.3-1
- (b7d47ac) update to 1.6.3

* Thu Dec 24 2015 Tigro <ashejn@gmail.com> 1.6.2-1
- (0cae2ac) drop some files
- (Tigro: a4c92d5) update to 1.6.2

* Mon Mar 09 2015 Tigro <ashejn@gmail.com> 1.4.5-1
- (1cfa5b2) pack file
- (Tigro: 8beebac) drop old patches
- (Tigro: d682b93) update to 1.4.5

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.2.4-5
- (5ced9d8) MassBuild#656: Increase release tag

* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.4-4
- (3c27789) Spec cleanup

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.4-3
- (16ff4ec) MassBuild#440: Increase release tag

* Thu May 29 2014 Tigro <ashejn@gmail.com> 1.2.4-2
- (4260d1c) Improve conditional SSE and SSE2 compilation

* Fri May 16 2014 Tigro <arkady.shane@rosalab.ru> 1.2.4-1
- (43e4810) pack files
- (Tigro: d649bff) fix version

* Fri May 16 2014 Tigro <arkady.shane@rosalab.ru> 1.2.14-1
- (b0fb57a) update to 1.2.4

* Wed Nov 27 2013 Arkady Shane <ashejn@gmail.com> 1.0.10-1
- (e4e4810) fix depend
- (Tigro: 8cd4f3a) fix BR
- (Tigro: c5fdbbf) update to 1.0.10

* Thu Jun 13 2013 Tigro <ashejn@gmail.com> 1.0.7-1
- (72cd05c) update to 1.0.7

* Mon Mar 25 2013 Arkady Shane <ashejn@gmail.com> 1.0.6-1
- (ce31f17) update to 1.0.6

* Tue Dec 04 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.3-1
- (7eda8bb) version update 1.0.3

* Mon Oct 29 2012 Arkady Shane <ashejn@gmail.com> 1.0.2-1
- (4111509) Updated gstreamer1.0-plugins-base.spec

* Wed Oct 24 2012 Arkady Shane <ashejn@gmail.com> 1.0.1-1
- (f366653) update to 1.0.1


